package etusivu;

import fi.jyu.mit.fxgui.ModalController;
import fi.jyu.mit.fxgui.ModalControllerInterface;
import javafx.fxml.FXML;
import javafx.scene.control.Alert;
import javafx.scene.control.Button;
import javafx.scene.control.TextField;
import reittiLoki.Halli;
import javafx.scene.control.Alert.AlertType;

/**
 * @author OMISTAJA
 * @version 31.1.2025
 *
 */


    public class HalliGUIController implements ModalControllerInterface <Halli> {

        @FXML private TextField fxHalliNimi;

        @FXML private TextField fxOsoite;

        @FXML private Button fxPeruuta;

        @FXML private Button fxTallenna;
        

        

        @FXML
        void ePeruuta() {
            Kesken();
        }

        @FXML
        void eTallenna() {
            tallennetaan = true;
            ModalController.closeStage(fxHalliNimi);
        }

    
//--------------------------------------------------------------------------
        private Halli halliKohdalla;
        private boolean tallennetaan = false;
    
    private void Kesken() {
        Alert alert = new Alert(AlertType.INFORMATION);
        alert.setTitle("Huomautus");
        alert.setHeaderText(null);
        alert.setContentText("Toiminta tulossa");
        alert.showAndWait();
    }

@Override
public Halli getResult() {
        if(tallennetaan) return halliKohdalla;
        return null;
        
    }


@Override
public void handleShown() {
    alusta();    
}

@Override
public void setDefault(Halli arg0) {
    halliKohdalla = arg0;   
    
}



private void alusta() {
    fxHalliNimi.setOnKeyReleased(e -> kasitteleSuoritusMuutos(fxHalliNimi,0));
    fxOsoite.setOnKeyReleased(e -> kasitteleSuoritusMuutos(fxOsoite,1));
  
}


private void kasitteleSuoritusMuutos(TextField kentta, int i) {
    if (halliKohdalla == null) return;
    String s = kentta.getText();

    switch (i) {
    case 0:
        halliKohdalla.setNimi(s);
      break;
    case 1:
        halliKohdalla.setOsoite(s);
      break;
    default:
        break;
    }    
}
    }
  